Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154112 - [patch] do not access corrupted stack
Summary: [patch] do not access corrupted stack
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 15:03 UTC by Enrico Scholz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 21.4.17-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-05 19:28:39 UTC


Attachments (Terms of Use)
Prevent access to corrupted stack (deleted)
2005-04-07 15:03 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2005-04-07 15:03:50 UTC
Description of problem:

Please apply the attached patch; without it, network related functionality (e.g.
gnus) in combination with numeric portnumbers will not work in devel branch.
(it is fixed in upstream CVS already).


Version-Release number of selected component (if applicable):

xemacs-21.4.17-2

Comment 1 Enrico Scholz 2005-04-07 15:03:51 UTC
Created attachment 112809 [details]
Prevent access to corrupted stack

Comment 2 Ville Skyttä 2005-04-07 18:42:52 UTC
This is not fixed in upstream 21.4 series (release-21-4 branch in CVS), only 21.5.

Could you post the patch to xemacs-patches@xemacs.org for upstream review?

Also, your changelog entry fails to mention the change in the size of the
buffer.  Forgive my thickness, but what's that change for anyway?  I suggest
mentioning the change in the changelog entry, or leaving the size as is.

Comment 3 Ville Skyttä 2005-05-05 18:48:17 UTC
For tracking purposes:
http://list-archive.xemacs.org/xemacs-patches/200504/msg00056.html

Comment 4 Ville Skyttä 2005-05-05 19:28:39 UTC
Applied to CVS, thanks.


Note You need to log in before you can comment on or make changes to this bug.